---
action_cable:
  in_app: true
  worker_pool_size: 4
auto_devops:
  enabled: false
  gitlab:
    port: 20000
  listen_address: 0.0.0.0
  registry:
    port: 25000
elasticsearch:
  enabled: false
  linux_checksum: f4ac248f225470ce498635897ed1d6ba700167fcad4c6aaf38b3e7b16c145170fa3874fe8a1e1954d939c8401fbae20cca21146c20760259294d3af6de05eaea
  mac_checksum: 0ad7141e68a5e6cb8da9b2ab2de2d829abf5dd0aea785cb03337a9f805fceaaebc8d87fb49608bf44fe6f8b3360c75e55ce24ab13b768b7dcedb569957544405
  version: 7.8.0
gdk:
  ask_to_restart_after_update: true
  debug: false
  experimental:
    auto_reconfigure: false
    quiet: false
  overwrite_changes: false
  protected_config_files: []
gdk_root: "/home/git/gdk"
geo:
  enabled: false
  node_name: gdk
  registry_replication:
    enabled: false
    primary_api_url: http://localhost:5000
git:
  bin: "/usr/local/bin/git"
git_repositories: []
gitaly:
  address: "/home/git/gdk/gitaly.socket"
  assembly_dir: "/home/git/gdk/gitaly/assembly"
  auth_token: ''
  auto_update: true
  config_file: "/home/git/gdk/gitaly/gitaly.config.toml"
  internal_socket_dir: "/home/git/gdk/tmp/gitaly"
  log_dir: "/home/git/gdk/log/gitaly"
  storage_count: 1
  storage_dir: "/home/git/gdk/repositories"
gitlab:
  actioncable: {}
  dir: "/home/git/gdk/gitlab"
gitlab_elasticsearch_indexer:
  auto_update: true
gitlab_k8s_agent:
  auto_update: true
  enabled: false
  listen_address: 127.0.0.1:5005
  listen_network: tcp
gitlab_pages:
  auto_update: true
  enabled: true
  host: 127.0.0.1.nip.io
  port: 3010
  secret_file: "/home/git/gdk/gitlab-pages-secret"
  verbose: false
gitlab_shell:
  auto_update: true
  dir: "/home/git/gdk/gitlab-shell"
grafana:
  enabled: false
hostname: 127.0.0.1
https:
  enabled: false
listen_address: 127.0.0.1
mattermost:
  enabled: false
  image: mattermost/mattermost-preview
  local_port: 8065
  port: 27000
nginx:
  bin: "/usr/local/bin/nginx"
  enabled: false
  http:
    enabled: false
    port: 8080
  http2:
    enabled: false
  listen: 127.0.0.1
  ssl:
    certificate: localhost.crt
    key: localhost.key
object_store:
  enabled: false
  host: 127.0.0.1
  port: 9000
omniauth:
  google_oauth2:
    client_id: ''
    client_secret: ''
    enabled: ''
openldap:
  enabled: false
port: 3000
postgresql:
  bin: "/usr/local/bin/postgres"
  bin_dir: "/usr/local/bin"
  data_dir: "/home/git/gdk/postgresql/data"
  dir: "/home/git/gdk/postgresql"
  geo:
    dir: "/home/git/gdk/postgresql-geo"
    host: "/home/git/gdk/postgresql-geo"
    port: 5431
  host: "/home/git/gdk/postgresql"
  port: 5432
  replica:
    enabled: false
  replica_dir: "/home/git/gdk/postgresql-replica"
  replication_user: gitlab_replication
praefect:
  address: "/home/git/gdk/praefect.socket"
  config_file: "/home/git/gdk/gitaly/praefect.config.toml"
  database:
    dbname: praefect_development
    host: "/home/git/gdk/postgresql"
    port: 5432
    sslmode: disable
  enabled: true
  internal_socket_dir: "/home/git/gdk/tmp/praefect"
  node_count: 1
prometheus:
  enabled: false
  gitaly_exporter_port: 9236
  port: 9090
  praefect_exporter_port: 10101
  sidekiq_exporter_port: 3807
registry:
  api_host: 127.0.0.1
  auth_enabled: true
  enabled: false
  external_port: 5000
  host: 127.0.0.1
  image: registry.gitlab.com/gitlab-org/build/cng/gitlab-container-registry:v2.9.1-gitlab
  port: 5000
  self_signed: false
  tunnel_host: 127.0.0.1
  tunnel_port: 5000
relative_url_root: "/"
repositories:
  gitaly: https://gitlab.com/gitlab-org/gitaly.git
  gitlab: https://gitlab.com/gitlab-org/gitlab.git
  gitlab_docs: https://gitlab.com/gitlab-com/gitlab-docs.git
  gitlab_elasticsearch_indexer: https://gitlab.com/gitlab-org/gitlab-elasticsearch-indexer.git
  gitlab_k8s_agent: https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent.git
  gitlab_pages: https://gitlab.com/gitlab-org/gitlab-pages.git
  gitlab_shell: https://gitlab.com/gitlab-org/gitlab-shell.git
  gitlab_workhorse: https://gitlab.com/gitlab-org/gitlab-workhorse.git
repositories_root: "/home/git/gdk/repositories"
repository_storages: "/home/git/gdk/repository_storages"
runner:
  config_file: "/home/git/gdk/gitlab-runner-config.toml"
  enabled: false
  extra_hosts: []
  token: 'DEFAULT TOKEN: Register your runner to get a valid token'
sshd:
  additional_config: ''
  authorized_keys_file: "/home/git/gdk/.ssh/authorized_keys"
  bin: "/usr/local/sbin/sshd"
  enabled: false
  host_key: "/home/git/gdk/openssh/ssh_host_rsa_key"
  listen_address: 127.0.0.1
  listen_port: 2222
  user: git
tracer:
  build_tags: tracer_static tracer_static_jaeger
  jaeger:
    enabled: true
    version: 1.10.1
username: git
webpack:
  host: 127.0.0.1
  live_reload: true
  port: 3808
  sourcemaps: true
  static: false
  vendor_dll: false
workhorse:
  auto_update: true
  configured_port: 3333
